//tag::ref-doc[]
= Header Filter Processor

Use the header-filter app to remove message headers.

The names of headers to remove are presented as a comma or space separated list. For example `--remove='foo,bar,pf-*'`.

== Options

The **$$header-filter$$** $$processor$$ has the following options:

//tag::configuration-properties[link-to-catalog=true]
https://github.com/spring-cloud/spring-functions-catalog/tree/main/function/spring-header-filter-function#configuration-options[See Spring Functions Catalog for configuration options].
//end::configuration-properties[]

//end::ref-doc[]
